Results 1 to 8 of 8

Thread: problem updating plasma and other software

  1. #1

    Default problem updating plasma and other software

    my system is running opensuse leap 42.1 with plasma 5.7.4:
    Laptop=Dell latitude E6510, RAM=8Gb, GPU=GT218 NVS 3100M, CPU=i7 Q 720 @ 1.60GHz
    upgraded 13.2 to leap 42.1, using wolfi repos. I'm running KDE 4.14.18 and plasma 5.7.4, KDE frameworks 5.26.0, KDE applications 16.08.01, Kernel 4.1.27-27-default


    Performing updates with yast>repositories>right click>all in this list>update if newer version I get this conflicts.
    ....at first sight it seems a mixing between plasma 5.7.95 !! (5.7.95??) and 5.7.5 ....
    and also there is libpoppler that is weeks that gives me this conflict
    how can I update plasma and libpoppler??

    ciao, manythanks, pier :-)

    Code:
    #### YaST2 conflicts list - generated 2016-09-18 18:53:28 ####
    
    nothing provides libpoppler.so.63()(64bit) needed by libpoppler-qt5-1-0.47.0-5.1.x86_64
    
        [ ] do not install libpoppler-qt5-1-0.47.0-5.1.x86_64
    
        [ ] break libpoppler-qt5-1-0.47.0-5.1.x86_64 by ignoring some of its dependencies
    
    
    
    nothing provides plasma5-desktop = 5.7.5 needed by plasma5-desktop-lang-5.7.5-417.1.noarch
    
        [ ] do not install plasma5-desktop-lang-5.7.5-417.1.noarch
    
        [ ] break plasma5-desktop-lang-5.7.5-417.1.noarch by ignoring some of its dependencies
    
    
    
    plasma5-desktop-5.7.95-194.1.x86_64 requires plasma5-workspace >= 5.7.95, but this requirement cannot be provided
    uninstallable providers: plasma5-workspace-5.7.95-253.1.x86_64[KDE:/Frameworks5/openSUSE_Leap_42.1]
        [ ] Following actions will be done:
    do not install plasma5-workspace-5.7.5-454.1.x86_64
    do not install plasma5-workspace-libs-5.7.5-454.1.x86_64
    do not install libksysguard5-5.7.5-165.1.x86_64
    install plasma5-desktop-5.7.95-194.1.x86_64 (with vendor change)
      openSUSE  -->  obs://build.opensuse.org/KDE
    install plasma5-desktop-5.7.95-194.1.x86_64 (with vendor change)
      openSUSE  -->  obs://build.opensuse.org/KDE
    do not install libksysguard5-devel-5.7.5-165.1.x86_64
    do not install libksysguard5-lang-5.7.5-165.1.noarch
    install plasma5-workspace-5.7.95-253.1.x86_64 (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  obs://build.opensuse.org/KDE
    do not install plasma5-addons-5.7.5-139.1.x86_64
    do not install plasma5-addons-lang-5.7.5-139.1.noarch
    install plasma5-workspace-libs-5.7.95-253.1.x86_64 (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  obs://build.opensuse.org/KDE
    downgrade of plasma5-addons-5.7.4-134.1.x86_64 to plasma5-addons-5.5.5-9.1.x86_64
    install plasma5-addons-5.5.5-9.1.x86_64 (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  openSUSE
    install libksysguard5-5.7.95-102.1.x86_64 (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  obs://build.opensuse.org/KDE
    downgrade of plasma5-addons-lang-5.7.4-134.1.noarch to plasma5-addons-lang-5.5.5-9.1.noarch
    install plasma5-addons-lang-5.5.5-9.1.noarch (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  openSUSE
    install libksysguard5-lang-5.7.95-102.1.noarch (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  obs://build.opensuse.org/KDE
    install libksysguard5-devel-5.7.95-102.1.x86_64 (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  obs://build.opensuse.org/KDE
    install plasma5-addons-5.5.5-9.1.x86_64 (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  openSUSE
        [ ] break plasma5-desktop-5.7.95-194.1.x86_64 by ignoring some of its dependencies
    
        [ ] do not install plasma5-session-5.7.5-178.1.noarch
    
    
    
    plasma5-desktop-branding-upstream-5.7.4-414.1.x86_64 requires plasma5-workspace-branding-upstream = 5.7.4, but this requirement cannot be provided
    deleted providers: plasma5-workspace-branding-upstream-5.7.4-449.1.x86_64
        [ ] Following actions will be done:
    do not install plasma5-workspace-branding-upstream-5.7.5-454.1.x86_64
    do not install plasma5-workspace-libs-5.7.5-454.1.x86_64
        [ ] Following actions will be done:
    downgrade of plasma5-desktop-branding-upstream-5.7.4-414.1.x86_64 to plasma5-desktop-branding-upstream-5.5.5-20.1.x86_64
    install plasma5-desktop-branding-upstream-5.5.5-20.1.x86_64 (with vendor change)
      obs://build.opensuse.org/home:wolfi323  -->  openSUSE
        [ ] break plasma5-desktop-branding-upstream-5.7.4-414.1.x86_64 by ignoring some of its dependencies
    
    
    
    plasma5-workspace-lang-5.7.5-454.1.noarch requires plasma5-workspace = 5.7.5, but this requirement cannot be provided
    uninstallable providers: plasma5-workspace-5.7.5-454.1.x86_64[wolfi_repo_for_leap_42.1_with_KDE4]
        [ ] Following actions will be done:
    do not install plasma5-workspace-lang-5.7.5-454.1.noarch
    do not install plasma5-workspace-libs-5.7.5-454.1.x86_64
        [ ] deinstallation of plasma5-desktop-5.7.4-414.1.x86_64
    
        [ ] break plasma5-workspace-lang-5.7.5-454.1.noarch by ignoring some of its dependencies
    
    
    
    
    #### YaST2 conflicts list END ###


  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,210

    Default AW: problem updating plasma and other software

    Post:
    Code:
    zypper lr -d

  3. #3

    Default Re: AW: problem updating plasma and other software

    Quote Originally Posted by Sauerland View Post
    Post:
    Code:
    zypper lr -d
    Code:
    la@suseST-pla:~> zypper lr -d
    #  | Alias                                    | Name                                                           | Enabled | GPG Check | Refresh | Priority | Type     | URI                                                                                                      | Service
    ---+------------------------------------------+----------------------------------------------------------------+---------+-----------+---------+----------+----------+----------------------------------------------------------------------------------------------------------+--------
     1 | Google_(chrome)                          | Google (chrome)                                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                      |        
     2 | KDE:/Frameworks5/openSUSE_Leap_42.1      | KDE:/Frameworks5/openSUSE_Leap_42.1                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/                           |        
     3 | KDE:/Qt5/openSUSE_Leap_42.1              | KDE:/Qt5/openSUSE_Leap_42.1                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.1/                                   |        
     4 | Kde-servicemenu                          | agg-Kde-servicemenu                                            | No      | ----      | Yes     |   99     | plaindir | dir:///dati/agg/kde5-services                                                                            |        
     5 | Packman_repository2                      | Packman repository2                                            | No      | ----      | Yes     |   99     | rpm-md   | http://packman.inode.at/suse/openSUSE_Leap_42.1/                                                         |        
     6 | agg-driver-samsung-bchemnet              | agg-driver-samsung-bchemnet                                    | Yes     | ( p) Yes  | Yes     |   99     | plaindir | dir:///dati/agg/agg-driver-samsung-bchemnet/rpm                                                          |        
     7 | agg-driver-scanner-epson                 | agg-driver-scanner-epson                                       | Yes     | ( p) Yes  | Yes     |   99     | plaindir | dir:///dati/agg/agg-driver-scanner-epson/                                                                |        
     8 | agg-general-leap42.1                     | agg-general-leap42.1                                           | Yes     | ( p) Yes  | Yes     |   99     | plaindir | dir:///dati/agg/agg-general-leap42.1/                                                                    |        
     9 | download.nvidia.com-leap                 | nVidia Graphics Drivers                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.nvidia.com/opensuse/leap/42.1                                                            |        
    10 | ftp.gwdg.de-suse                         | Packman Repository                                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Leap_42.1/                                            |        
    11 | home:/adra(Qtgain)                       | home:/adra(Qtgain)                                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/home:/adra/openSUSE_Leap_42.1/                                 |        
    12 | http-download.opensuse.org-57632a45      | home:/X0F:HSF(copyq)                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/home:/X0F:/HSF/openSUSE_Leap_42.1/                             |                                                                                          
    13 | http-download.opensuse.org-deae5a70      | home:/buschmann23:/KDE4(stdin plasmoid)                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/home:/buschmann23:/KDE4/openSUSE_Leap_42.1/                    |                                                                                          
    14 | http-download.opensuse.org-e187bae3      | KDE:Extra                                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                                 |                                                                                          
    15 | openSUSE-42.1-0                          | openSUSE-42.1-0                                                | No      | ----      | No      |   99     | yast2    | cd:///?devices=/dev/disk/by-id/ata-MATSHITA_DVD+_-RW_UJ892_HH24_397581                                   |                                                                                          
    16 | opensuse-guide.org-repo                  | Libdvdcss Repository                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://opensuse-guide.org/repo/openSUSE_Leap_42.1/                                                       |        
    17 | opensuse/publishing(pdfchain)            | repositories/publishing(pdfchain)                              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Publishing/openSUSE_Leap_42.1/                                 |        
    18 | opera                                    | Opera packages                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://rpm.opera.com/rpm                                                                                |        
    19 | repo-debug                               | openSUSE-Leap-42.1-Debug                                       | No      | ----      | Yes     |   99     | NONE     | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/                                      |        
    20 | repo-debug-non-oss                       | openSUSE-Leap-42.1-Debug-Non-Oss                               | No      | ----      | Yes     |   99     | NONE     | http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/                                  |        
    21 | repo-debug-update                        | openSUSE-Leap-42.1-Update-Debug                                | No      | ----      | Yes     |   99     | NONE     | http://download.opensuse.org/debug/update/leap/42.1/oss                                                  |        
    22 | repo-debug-update-non-oss                | openSUSE-Leap-42.1-Update-Debug-Non-Oss                        | No      | ----      | Yes     |   99     | NONE     | http://download.opensuse.org/debug/update/leap/42.1/non-oss/                                             |        
    23 | repo-non-oss                             | openSUSE-Leap-42.1-Non-Oss                                     | Yes     | (r ) Yes  | Yes     |   99     | yast2    | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                                        |        
    24 | repo-oss                                 | openSUSE-Leap-42.1-Oss                                         | Yes     | (r ) Yes  | Yes     |   99     | yast2    | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                            |        
    25 | repo-source                              | openSUSE-Leap-42.1-Source                                      | No      | ----      | Yes     |   99     | NONE     | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/                                     |        
    26 | repo-update                              | openSUSE-Leap-42.1-Update                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/42.1/oss/                                                       |        
    27 | repo-update-non-oss                      | openSUSE-Leap-42.1-Update-Non-Oss                              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/42.1/non-oss/                                                   |        
    28 | repositories/Emulators:/Wine/            | repositories/Emulators:/Wine/                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.1/                            |        
    29 | repositories/GNOME:/Apps                 | repositories/GNOME:/Apps                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/GNOME:/Apps/openSUSE_Leap_42.1/                                |        
    30 | repositories/Printing/openSUSE_Leap_42.1 | repositories/Printing (hplip cups)                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Printing/openSUSE_Leap_42.1/                                   |        
    31 | webdav_(x_eneabox)                       | webdav_(x_eneabox)                                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/openSUSE_Leap_42.1/                     |        
    32 | wolfi_repo_for_leap_42.1_with_KDE4       | wolfi repo for leap 42.1 with KDE4 (to have KDE4 in leap 42.1) | Yes     | (r ) Yes  | Yes     |   90     | rpm-md   | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.1/ |        
    pla@suseST-pla:~>

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,210

    Default AW: problem updating plasma and other software

    plasma5-desktop-5.7.95-194.1
    is in KF5-Framework Repo. So there was an Update yesterday and today.....
    http://download.opensuse.org/reposit...p_42.1/x86_64/

  5. #5

    Default Re: problem updating plasma and other software

    Quote Originally Posted by pier_andreit View Post
    Code:
    la@suseST-pla:~> zypper lr -d
    #  | Alias                                    | Name                                                           | Enabled | GPG Check | Refresh | Priority | Type     | URI                                                                                                      | Service
    ---+------------------------------------------+----------------------------------------------------------------+---------+-----------+---------+----------+----------+----------------------------------------------------------------------------------------------------------+--------
     | rpm-md   | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.1/ |
    My repo is not up-to-date yet, because of problems with OBS (the packages were stuck in "scheduled" for days and not being rebuilt), and I wasn't able to keep up to pace with the upgrade to 5.8 beta.

    IOW, my 5.8 packages are not there yet, but this should be fixed soon (hopefully).
    Please be patient.

    And also: do *not* do a vendor change to KDE:Frameworks5, if you want to keep using my packages...
    Last edited by wolfi323; 19-Sep-2016 at 10:06.

  6. #6

    Default Re: problem updating plasma and other software

    Quote Originally Posted by wolfi323 View Post
    My repo is not up-to-date yet, because of problems with OBS (the packages were stuck in "scheduled" for days and not being rebuilt), and I wasn't able to keep up to pace with the upgrade to 5.8 beta.

    IOW, my 5.8 packages are not there yet, but this should be fixed soon (hopefully).
    Please be patient.

    And also: do *not* do a vendor change to KDE:Frameworks5, if you want to keep using my packages...
    ok, manythanks, I have about 30 bottles of beer in my fridge, ...should be enough to be patient cin cin..

  7. #7

    Default Re: problem updating plasma and other software

    Quote Originally Posted by pier_andreit View Post
    ok, manythanks, I have about 30 bottles of beer in my fridge, ...should be enough to be patient cin cin..
    Cheers!
    I had a few ones as well already...

    But the repo (for 42.1) is finally rebuilt and published now.

    Only now I can see the real problems, some of my patches do not apply any more, I'll fix it as soon as possible.

  8. #8

    Default Re: problem updating plasma and other software

    All packages have been successfully rebuilt and published meanwhile.

    And in particular Plasma 5.7.95 and libpoppler63 are now in the repo too.

    Please tell me if there are still problems...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •